$(document).ready(function () {

    $('#login').focus();

    $("#btnLogin").click(function () {

        if ($('#login').val() == '') {

            alert('Digite o seu login');
            $('#login').focus();
            return false;
        }

        if ($('#senha').val() == '') {

            alert('Digite sua senha');
            $('#senha').focus();
            return false;
        }

        $('#hdnAction').val() = 'login';

    });

    $("#btnSalvar").click(function () {

        if ($('#login').val() == '') {

            alert('O campo login é obrigatório');
            $('#login').focus();
            return false;
        }

        if ($('#nome').val() == '') {

            alert('O campo nome é obrigatório');
            $('#nome').focus();
            return false;
        }

        if ($('#hdnId').val() == '') {

            if ($('#senha').val() == '') {

                alert('O campo senha é obrigatório');
                $('#senha').focus();
                return false;
            }

            if ($('#senha-confirmar').val() == '') {

                alert('O campo confirmação de senha é obrigatório');
                $('#senha-confirmar').focus();
                return false;
            }

            if ($('#senha-confirmar').val() != $('#senha').val()) {

                alert('A senha de confirmação deve ser igual a senha');
                $('#senha-confirmar').focus();
                return false;
            }

        }

        if ($('#email').val() == '') {

            alert('O campo E-mail é obrigatório');
            $('#email').focus();
            return false;
        }

        //validando o e-mail
        var emailRegex = new RegExp(/^([\w\.\-]+)@([\w\-]+)((\.(\w){2,3})+)$/i);
        var valid = emailRegex.test($('#email').val());
        if (!valid) {
            alert('O campo E-mail está incorreto');
            $('#email').focus();
            return false;
        }

        $('#hdnAction').val() = 'save';

    });

});